<!doctype html>
<html lang"en" xmlns:th="http://www.thymeleaf.org"
xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout" >
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	 <title layout:title-pattern="$CONTEN_TITLE - $LAYOUT_TITLE"></title>
	 
	
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="/bootstrap.min.css">
    <link rel="stylesheet" href="/CSS/layout.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/1.11.3/css/jquery.dataTables.min.css">
    <link rel="stylesheet" href="https://pro.fontawesome.com/releases/v5.10.0/css/all.css" integrity="sha384-AYmEC3Yw5cVb3ZcuHtOA93w35dYTsvhLPVnYs9eStHfGJvOvKxVfELGroGkvsg+p" crossorigin="anonymous"/>
	<script src="/jquery-3.6.0.min.js" ></script>
    <script src="/bootstrap.bundle.min.js"></script>
    <script src="https://cdn.datatables.net/1.11.3/js/jquery.dataTables.min.js"></script>
    <script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>
   	
  </head>
  <body>
   <nav class="navbar navbar-expand-lg navbar-light navbar-custom" style="background-color: transparent">
       <span style="color: Dodgerblue;">  <i class="fas fa-first-aid fa-2x nav-bar"> <strong style="font-family: Helvetica;"> Med.id</strong></i></span>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
    
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav mr-auto ml-auto">
                <li class="nav-item">
                    <div class="justify-content-md-center">
                        <form class="form-inline my-2 my-lg-0 my-lg-0">
                          <div class="input-group-prepend">
                            <input class="form-control sm-2 " type="text" placeholder="Cari Dokter atau Faskes" aria-label="Search" style="width: 43vw;">
                            <button type="button" class="btn btn-primary mr-sm-2"><i class="fas fa-search"></i></button>
                          
                          </div>
                        </form>
                    </div>
                </li>
            </ul>
            <button id="hiUser" type="button" class="btn btn-primary mr-sm-2">Halo, Imam</button>
        </div>
    </nav>
    <!-- ---------- Navbar end ------ -->
    
    <div class="container-fluid">
      <div class="row">
        <div class="col-sm-2 mr-auto" style="background-color:transparent;">
            <br>
           	<div class="accordion text-dodger" id="sideBar">
			    	
			     
			
			</div>

        </div>
        
        
        <!-- content -->
        <div id="content" class="col bg-light" >
	        
	          <section layout:fragment="content">
			  </section>
			
        </div>
        
        <!-- content -->
    </div>
  </div>
  
  
  

  
  	 <!-- Footer -->
    <footer class="page-footer text-dark font-small  " style="margin-top: 80px;background-color: transparent;">

        <!-- Copyright -->
        <div class="footer-copyright text-center text-light py-3">© 2021 Copyright:
        Mini-Project Batch265
        </div>
        <!-- Copyright -->
    
    </footer>
    <!-- Footer -->
  
  </body>
  <script>
  
  
  
  var roleId = localStorage.getItem("roleId");
  var sideBarMenu =' <p class = "MenuSide"  style = "cursor:zoom-in;" data-toggle="collapse" data-target="" aria-expanded="true" aria-controls=""><strong><a href="#" class="sideMenu" >oke</a></strong></p>';
  var sideBarSubMenu =' <p class = "MenuSide" style = "cursor:zoom-out;"><a href="#" class="sideMenu"></a></p>';
  var sideBarCollapse='<div style="margin-left:1.5vw;" class="collapseCurrent collapse hide" aria-labelledby="headingOne" data-parent="#sideBar"></div>';
  $.ajax({
	url:'/api/layout/username/'+localStorage.getItem("bioId"),
	type:'get',
	contentType:'application/json',
	success:function(data){
		console.log(data);
		$('#hiUser').html("Halo,"+data.fullname);
	}
							
 })
  $.ajax({
	url:'/api/layout/menu/'+roleId,
	type:'get',
	contentType:'application/json',
	success:function(data){
		console.log(data);
		for(i = 0; i < data.length; i++){
			if(data[i].parentId == null || data[i].parentId == 0 ){
				$('#sideBar').append(sideBarMenu);
				$('.MenuSide').attr("data-target","#Collapse"+data[i].id);
				$('.MenuSide').attr("aria-controls","Collapse"+data[i].id);
				$('.MenuSide').attr("id","Menu"+data[i].id);
				$('.sideMenu').attr("href",data[i].url);
				$('.sideMenu').html("<i class='"+ data[i].smallIcon+"'> </i>");
				$('.sideMenu').append(" "+data[i].name);
				$('.sideMenu').removeClass("sideMenu");
				$('.MenuSide').removeClass("MenuSide");
			}	
			else{
				$('#Menu'+data[i].parentId).append(sideBarCollapse);
				$('.collapseCurrent').attr('id','Collapse'+data[i].parentId);
				$('.collapseCurrent').append(sideBarSubMenu);
				$('.MenuSide').attr("id","Menu"+data[i].id);
				$('.sideMenu').attr("href",data[i].url);
				$('.sideMenu').html("<i class='"+ data[i].smallIcon+"'> </i>");
				$('.sideMenu').append(" "+data[i].name);
				$('.sideMenu').removeClass("sideMenu");
				$('.MenuSide').removeClass("MenuSide");
				$('.collapseCurrent').removeClass("collapseCurrent");
				
				
			}							
			
			
		}		
	}
							
 })
  
  </script>
</html>  
